<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: Class Members - Functions</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>add()
: <a class="el" href="class_behaviour_table.html#a96ee4c7c933eb504cec5869f32b685af">BehaviourTable</a>
, <a class="el" href="class_viz_block.html#a05126b273345e8ee4ac3bc0e6bff8da5">VizBlock</a>
</li>
<li>announce()
: <a class="el" href="class_viz_block.html#a12ed8ff980180d9c952733f42c1b0748">VizBlock</a>
</li>
<li>announce_capabilities()
: <a class="el" href="class_viz_block.html#a469ac7b36030935ea677d4b2385fd4a2">VizBlock</a>
</li>
<li>args()
: <a class="el" href="class_behaviour.html#ad5aa6388bf5b47911ae801ebbf82e35d">Behaviour</a>
, <a class="el" href="class_breathe_l_e_ds.html#aecd600f1c7b2bcaf25a08099b18eaad1">BreatheLEDs</a>
, <a class="el" href="class_button_clicked.html#afad90972997311c478dc50f25751160d">ButtonClicked</a>
, <a class="el" href="class_button_held.html#af60b3ecca59adfb0426e9baa146b3d7e">ButtonHeld</a>
, <a class="el" href="class_button_pressed.html#aa157f2034d16625c5322a7846e61af85">ButtonPressed</a>
, <a class="el" href="class_button_released.html#adf6e9a6d53fae411656d8059d87e8daf">ButtonReleased</a>
, <a class="el" href="class_button_tick.html#a0b9b56685acb47c96245af0d26206ba5">ButtonTick</a>
, <a class="el" href="class_light_all_l_e_ds.html#a8fcab516a3136401613e131507b0203e">LightAllLEDs</a>
, <a class="el" href="class_light_some_l_e_ds.html#a1160de6497768ba1b20a3a7a29e0bb70">LightSomeLEDs</a>
, <a class="el" href="class_link.html#a6d9f3f3139b5325cefe19af730d9bc54">Link</a>
, <a class="el" href="class_potentiometer_updated.html#aa26c8882cb48d9122f24a14f532a0c5b">PotentiometerUpdated</a>
, <a class="el" href="class_rotary_encoder_updated.html#aaff2f2c49fe72414c71c1cbb631958e0">RotaryEncoderUpdated</a>
, <a class="el" href="class_servo_go_and_return.html#afc4fdd44cae56c9e239391fc819f5740">ServoGoAndReturn</a>
, <a class="el" href="class_servo_go_to.html#a13ec355b036a947e216f32db3d876135">ServoGoTo</a>
, <a class="el" href="class_servo_wiggle.html#a10764f7adcfede311818328e042b65a1">ServoWiggle</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>Behaviour()
: <a class="el" href="class_behaviour.html#aa09d1af17d15fa0c204f2b713e46fba0">Behaviour</a>
</li>
<li>BehaviourTable()
: <a class="el" href="class_behaviour_table.html#a418f3281a4015f9aee5bf96f04bbc7e2">BehaviourTable</a>
</li>
<li>BreatheLEDs()
: <a class="el" href="class_breathe_l_e_ds.html#ac5523d67d96d36e85a53c731aaf1b01c">BreatheLEDs</a>
</li>
<li>Button()
: <a class="el" href="class_button.html#ac61739f093022155c9c7c1d281feffdb">Button</a>
</li>
<li>ButtonClicked()
: <a class="el" href="class_button_clicked.html#a0001653abed07531b64e3f5bc2eec91b">ButtonClicked</a>
</li>
<li>ButtonHeld()
: <a class="el" href="class_button_held.html#abc2a5426a7e1ed7929053a94f34a392f">ButtonHeld</a>
</li>
<li>ButtonPressed()
: <a class="el" href="class_button_pressed.html#a02ec90b25dff124e0fbcbd3101ad61fd">ButtonPressed</a>
</li>
<li>ButtonReleased()
: <a class="el" href="class_button_released.html#a72fd25929fbe5faa66f0a7ffe3628811">ButtonReleased</a>
</li>
<li>ButtonTick()
: <a class="el" href="class_button_tick.html#ac0ecbf8631975a98e83852ae8e0c5b36">ButtonTick</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>check()
: <a class="el" href="class_button.html#a4bd4f650e382a7a5501a12dfb7a6b714">Button</a>
, <a class="el" href="class_potentiometer.html#a6a9caf03bab70816829c574ee7e88a6b">Potentiometer</a>
, <a class="el" href="class_rotary_encoder.html#a6d0692adb7f49c186b60d61c4b5ed594">RotaryEncoder</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>generateCapabilitiesJSON()
: <a class="el" href="class_viz_block.html#a8842678420f4f04a298ccb01aebb8c5e">VizBlock</a>
</li>
<li>get()
: <a class="el" href="class_behaviour_table.html#ad5d8a74149039069429b8220bd20387a">BehaviourTable</a>
, <a class="el" href="class_name_dictionary.html#a510b1e034639951fa9401424e021bb09">NameDictionary</a>
</li>
<li>get_by_num()
: <a class="el" href="class_behaviour_table.html#a9032dcf2ef997e471bb24f1d5a01b526">BehaviourTable</a>
</li>
<li>get_num_behaviours()
: <a class="el" href="class_behaviour_table.html#a54ee378244ccb20084f6d9f3e629cce9">BehaviourTable</a>
</li>
<li>getClickInterval()
: <a class="el" href="class_button.html#accfe0a939a17dd9426a4c61323c32e7f">Button</a>
</li>
<li>getHoldInterval()
: <a class="el" href="class_button.html#a9782adb68590b975c4c7473b1c2716d4">Button</a>
</li>
<li>getId()
: <a class="el" href="class_button.html#a0b024eb643308f2cfa8d13cd93c6b1ca">Button</a>
, <a class="el" href="class_potentiometer.html#a70a53b8e012420e689a38d1751b4269e">Potentiometer</a>
, <a class="el" href="class_rotary_encoder.html#add03486f3ea45ab300b2735a19f6c632">RotaryEncoder</a>
, <a class="el" href="class_viz_block.html#a681ab4c036640a3cea3941aa9e2e1ca6">VizBlock</a>
</li>
<li>getPostition()
: <a class="el" href="class_rotary_encoder.html#a39492fe10475d3251ebad39f8ec17fc8">RotaryEncoder</a>
</li>
<li>getRepeatInterval()
: <a class="el" href="class_button.html#aff7b7fc611d3f412c91aea2082a9b48d">Button</a>
</li>
<li>getState()
: <a class="el" href="class_button.html#a946d9bb84880931ccf3494d84f0ac73a">Button</a>
</li>
<li>getValue()
: <a class="el" href="class_potentiometer.html#a0ee40840fe135d6f1799fecdbb4d9f70">Potentiometer</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>init()
: <a class="el" href="class_viz_block.html#a6f8002082c1419e9b2718faa75a60356">VizBlock</a>
</li>
<li>initInterrupts()
: <a class="el" href="class_button.html#a8fc0f6d87068ccd44e07b1d764eddf3f">Button</a>
, <a class="el" href="class_rotary_encoder.html#a7cc6dcb7afb68e81546966a1ec24d027">RotaryEncoder</a>
</li>
<li>is_background()
: <a class="el" href="class_behaviour.html#a0f976beeea75cc999f4ce5cbdc889d54">Behaviour</a>
</li>
<li>is_interruptable()
: <a class="el" href="class_behaviour.html#a6194e394bab5d264e333b6962173064d">Behaviour</a>
</li>
<li>is_priority()
: <a class="el" href="class_behaviour.html#a2c47f0e25b4084939bd5cb5f78012385">Behaviour</a>
</li>
<li>is_running()
: <a class="el" href="class_behaviour.html#a629c91d3771c7938b22ff393b95518ef">Behaviour</a>
</li>
<li>is_temp()
: <a class="el" href="class_behaviour.html#a0d07ba942e21d9d368c5e3837de068b3">Behaviour</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>keys()
: <a class="el" href="class_name_dictionary.html#ac266d0392951208a6b4ab188ad73ed3d">NameDictionary</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>length()
: <a class="el" href="class_name_dictionary.html#af1464fb3122f6fa04bfb54215ab31b8b">NameDictionary</a>
</li>
<li>LightAllLEDs()
: <a class="el" href="class_light_all_l_e_ds.html#a41ee1848be65c91085aadb3dcfc3b6ce">LightAllLEDs</a>
</li>
<li>LightSomeLEDs()
: <a class="el" href="class_light_some_l_e_ds.html#a5f7dac6c76c51f9798c9c7e4bd870885">LightSomeLEDs</a>
</li>
<li>Link()
: <a class="el" href="class_link.html#a15f2732bd84cbd364ccdb8aaf310a7e5">Link</a>
</li>
<li>list()
: <a class="el" href="class_name_dictionary.html#af615479d85533f34f7e289be3b6218b6">NameDictionary</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>mqtt_command()
: <a class="el" href="class_viz_block.html#a5f43b604ccbee394091bcedfc3e4dc8c">VizBlock</a>
</li>
<li>MQTT_connect()
: <a class="el" href="class_viz_block.html#aac8647bb59c5ecf635b4e7349d03a100">VizBlock</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name()
: <a class="el" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">Behaviour</a>
</li>
<li>NameDictionary()
: <a class="el" href="class_name_dictionary.html#a61a5f5b7a2537206f4ef75012647166e">NameDictionary</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>PingServer()
: <a class="el" href="class_ping_server.html#aff2142bd5d823d613766f8a19b53a86f">PingServer</a>
</li>
<li>Potentiometer()
: <a class="el" href="class_potentiometer.html#af2f25ccdc72808fc5e4baeeb60fe9410">Potentiometer</a>
</li>
<li>PotentiometerUpdated()
: <a class="el" href="class_potentiometer_updated.html#ac1beccae8fba247fa8246962840389cf">PotentiometerUpdated</a>
</li>
<li>process()
: <a class="el" href="class_viz_block.html#a94c00ec7eea6ce431eaad82b3a82dcdf">VizBlock</a>
</li>
<li>process_command()
: <a class="el" href="class_viz_block.html#a2a4006637716e54f202711f633641b43">VizBlock</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>RotaryEncoder()
: <a class="el" href="class_rotary_encoder.html#ad73cb09b417e3b8c1bea31a00ccae54f">RotaryEncoder</a>
</li>
<li>RotaryEncoderUpdated()
: <a class="el" href="class_rotary_encoder_updated.html#a5aedbf49b3a48cd0606a4c2dbc8e952b">RotaryEncoderUpdated</a>
</li>
<li>run()
: <a class="el" href="class_viz_block.html#aa03ed68d6c65b1bcd09e72d59cd789c6">VizBlock</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SendCapabilities()
: <a class="el" href="class_send_capabilities.html#a3e831bc1f93dd960da4be93985c4afe8">SendCapabilities</a>
</li>
<li>serial_command()
: <a class="el" href="class_viz_block.html#a315eb849f9bf9932f90bb26a56b9eec4">VizBlock</a>
</li>
<li>ServoGoAndReturn()
: <a class="el" href="class_servo_go_and_return.html#abb92506ce4f6e0d7c67353df9d099489">ServoGoAndReturn</a>
</li>
<li>ServoGoTo()
: <a class="el" href="class_servo_go_to.html#ac8b82631935821c8850792fdd1856f1f">ServoGoTo</a>
</li>
<li>ServoWiggle()
: <a class="el" href="class_servo_wiggle.html#a74b65ac2d20091945edeea1d0858b9ab">ServoWiggle</a>
</li>
<li>set_wifi()
: <a class="el" href="class_viz_block.html#a3471cc56f191c186d5905f05f7aae7b3">VizBlock</a>
</li>
<li>setEventHandler()
: <a class="el" href="class_button.html#a94e66e570b29f34aeb0680b7c657265d">Button</a>
, <a class="el" href="class_potentiometer.html#a17b7977261eebcac2d6d5dbcd7adf167">Potentiometer</a>
, <a class="el" href="class_rotary_encoder.html#a3bd9303422d4287e96ea83c181f3fcd4">RotaryEncoder</a>
</li>
<li>setID()
: <a class="el" href="class_viz_block.html#ae187beaf64d567c93ba5775b252259ee">VizBlock</a>
</li>
<li>setPosition()
: <a class="el" href="class_rotary_encoder.html#ac91df8b97b799e9411cda5eb4ba5de9c">RotaryEncoder</a>
</li>
<li>start()
: <a class="el" href="class_behaviour.html#ab4bc4b2d9d9ec727fd84796c6c6d44b3">Behaviour</a>
, <a class="el" href="class_breathe_l_e_ds.html#a81bb278dcb88bf89c3886ec6a3749de7">BreatheLEDs</a>
, <a class="el" href="class_button_clicked.html#a5079ef38b22d78e72e66a13b5d8936a8">ButtonClicked</a>
, <a class="el" href="class_button_held.html#a2ebd89985ab996459adc2c97b9f462a8">ButtonHeld</a>
, <a class="el" href="class_button_pressed.html#ae6bd011c8b9801ed372b957a82d5256f">ButtonPressed</a>
, <a class="el" href="class_button_released.html#ad555a0e31d0b286dd75545f7759307fc">ButtonReleased</a>
, <a class="el" href="class_button_tick.html#a2315e24cbbfff47c9aae35529a766f76">ButtonTick</a>
, <a class="el" href="class_light_all_l_e_ds.html#ad2e6d7b6230f58356065c767df62ea7f">LightAllLEDs</a>
, <a class="el" href="class_light_some_l_e_ds.html#a25206d0ecbfc9d5cdb2cc19fde72a79e">LightSomeLEDs</a>
, <a class="el" href="class_link.html#a758369a0b6dd6e9460a7883b83d8969f">Link</a>
, <a class="el" href="class_ping_server.html#ae334bb0601762caaf90f9ff2d8f0f1d5">PingServer</a>
, <a class="el" href="class_potentiometer_updated.html#aea4c6c96cf2fb770677fafef821a844f">PotentiometerUpdated</a>
, <a class="el" href="class_rotary_encoder_updated.html#ae8a2605c86703bcbec627a420cfdb1f4">RotaryEncoderUpdated</a>
, <a class="el" href="class_send_capabilities.html#a22f6f8ae27ebd478376f619629832ab5">SendCapabilities</a>
, <a class="el" href="class_servo_go_and_return.html#a04dcc4eb914a339003b5d04927a83695">ServoGoAndReturn</a>
, <a class="el" href="class_servo_go_to.html#a2947d36917cfa921fa20f6154e0f9fbb">ServoGoTo</a>
, <a class="el" href="class_servo_wiggle.html#aad37514650c225f3307c8a93a1036995">ServoWiggle</a>
</li>
<li>stop()
: <a class="el" href="class_behaviour.html#a56f7e55bee64010414c07deb79426a9b">Behaviour</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>tick()
: <a class="el" href="class_button.html#aa5151d4e678a588275cfe773337435af">Button</a>
, <a class="el" href="class_rotary_encoder.html#a5e2bc49ea9072d4932612ded0cfcfabf">RotaryEncoder</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>update()
: <a class="el" href="class_behaviour.html#a4b8190a1a262ab969fd7706cc55906c6">Behaviour</a>
, <a class="el" href="class_breathe_l_e_ds.html#aa73b6336ef075436fa01b7ffc999f939">BreatheLEDs</a>
, <a class="el" href="class_link.html#a4212a26ee2583b08e2307e7385b9a548">Link</a>
, <a class="el" href="class_ping_server.html#a40f0194de38762c74f405919283b2155">PingServer</a>
, <a class="el" href="class_servo_go_and_return.html#a24a373d01dad0729b75ffab97f673202">ServoGoAndReturn</a>
, <a class="el" href="class_servo_wiggle.html#ad4c8bf0c71ab975aaac98ad9b879094a">ServoWiggle</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>values()
: <a class="el" href="class_name_dictionary.html#a24371606944bf0780b169d6007730ec7">NameDictionary</a>
</li>
<li>VizBlock()
: <a class="el" href="class_viz_block.html#ad9b3946753b985ec0604b0e2f83b0140">VizBlock</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>wifi_connect()
: <a class="el" href="class_viz_block.html#a2453fafc9ff3dbcb4fa30b3fb66ee600">VizBlock</a>
</li>
</ul>


<h3><a id="index__7E"></a>- ~ -</h3><ul>
<li>~Behaviour()
: <a class="el" href="class_behaviour.html#ab9099279876aa70410ab96ca589531df">Behaviour</a>
</li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
